> ## Documentation Index
> Fetch the complete documentation index at: https://developer.whilter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Status

> Retrieves the current status of a task by its ID



## OpenAPI

````yaml GET /media/task/status/{taskId}
openapi: 3.0.1
info:
  title: Charp.ai API
  description: >-
    API ecosystem for vendor management, authentication, campaign management,
    and tools for enhancing campaign execution including realtime media
    generation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://whilter-api-host
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Operations related to API authentication
  - name: Realtime Media
    description: Operations for generating personalized videos in real-time
  - name: Webhooks
    description: Webhook endpoints for receiving notifications
  - name: Virtual Try-On
    description: Operations related to virtual try-on functionality
  - name: Tasks
    description: Operations related to task management
paths:
  /media/task/status/{taskId}:
    get:
      tags:
        - Tasks
      summary: Check task status
      description: Retrieves the current status of a task by its ID
      operationId: getTaskStatus
      parameters:
        - name: taskId
          in: path
          required: true
          description: The unique identifier of the task to check
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Task status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskStatusResponse'
components:
  schemas:
    TaskStatusResponse:
      type: object
      properties:
        task-id:
          type: string
          format: uuid
          description: Unique identifier of the task
        status:
          type: string
          enum:
            - COMPLETED
            - PENDING
            - IN PROGRESS
            - FAILED
          description: Current status of the task
        file-path:
          type: string
          nullable: true
          description: S3 path to the output file (available when completed)
        total-count:
          type: integer
          description: Total Number of records
          example: 100000
        processed:
          type: integer
          description: Number of tasks processed
          example: 100000
        message:
          type: string
          description: Response message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````